import { defineStore } from "pinia";
import { reactive } from "vue";
export const useEnumStore = defineStore("enum", () => {
    const data = reactive({});

    const setEnumData = (key, value) => {
        data[key] = JSON.stringify(value);
    };
    const getEnumData = key => {
        return data[key] && JSON.parse(data[key]);
    };

    return {
        data,
        setEnumData,
        getEnumData
    };
});
